#
# spec file for package maven-dependency-plugin
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           maven-dependency-plugin
Version:        3.1.2
Release:        150200.3.4.3
Summary:        Plugin to manipulate, copy and unpack local and remote artifacts
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            http://maven.apache.org/plugins/%{name}
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  unzip
BuildRequires:  mvn(classworlds:classworlds)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-analyzer)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-http-lightweight)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildArch:      noarch

%description

The dependency plugin provides the capability to manipulate
artifacts. It can copy and/or unpack artifacts from local or remote
repositories to a specified location.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
%{summary}.

%prep
%setup -q

%pom_remove_plugin :maven-enforcer-plugin

# We don't want to support legacy Maven versions (older than 3.1)
%pom_remove_dep org.sonatype.aether:

%build
# Tests require legacy Maven
%{mvn_build} -f \
%if %{?pkg_vcmp:%pkg_vcmp java-devel >= 9}%{!?pkg_vcmp:0}
	-- -Dmaven.compiler.release=7
%endif

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE
%doc NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc NOTICE

%changelog
* Wed Dec 30 2020 jgwang@suse.com
- Update to version 3.1.2
  * Upgrade maven-plugins parent to version 32
  * Upgrade plexus-io to 3.1.0
  * Upgrade maven-shared-utils 3.2.1
  * Upgrade plexus-archiver to 4.1.0
  * Upgrade maven-artifact-transfer to 0.11.0
  * Upgrade plexus-utils to 3.2.0
  * Upgrade plexus-utils to 3.3.0
  * Upgrade maven-common-artifact-filters to 3.1.0
  * Upgrade parent POM from 32 to 33
  * Upgrade maven-dependency-analyzer to 1.11.1
  * Update ASM so it works with Java 13
  * Add note on dependecy:tree -Dverbose support in 3.0+
  * Add a TOC to ease navigating to each goal usage
  * Remove @param for a parameter which does not exists.
  * Remove newline and trailing space from log line.
  * Remove deprecated call.
  * Fix link to mailing list
  * Fix JavaDoc issue.
  * Use https for sigs, hashes and KEYS
  * Use sha512 checksums instead of sha1
  * Switch to asfMavenTlpPlgnBuild
  * Unpacking File Mappers
  * Replace CapturingLog class with Mockito usage
  * Rewrite go-offline so it resembles resolve-plugins
  * Perform transformation to artifact keys just once
- Removed patch:
  * 00-maven-artifact-transfer-0.11.0.patch
    + not needed with this version any more
* Mon Nov 25 2019 fstrba@suse.com
- Specify maven.compiler.release to fix build with jdk9+ and newer
  maven-javadoc-plugin
- Added patch:
  * 00-maven-artifact-transfer-0.11.0.patch
    + Fix build against maven-artifact-transfer >= 0.11
* Fri Apr  5 2019 fstrba@suse.com
- Initial packaging of maven-dependency-plugin 3.1.1
